# List order actions Lists order actions. You can use the query parameters to filter, expand, and sort the returned results. Endpoint: GET /object-query/order-actions Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Query parameters: - `pageSize` (integer) The maximum number of results to return in a single page. If the specified pageSize is less than 1 or greater than 99, Zuora will return a 400 error. - `cursor` (string) A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list. - `sort[]` (array) A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. accountnumber.ASC) or descending (e.g. accountnumber.DESC). You cannot sort on properties in arrays. If the array-type properties are specified for the sort[] parameter, they are ignored. Supported sortable fields: - id - updateddate - subscriptionversionamendmentid - orderid - `expand[]` (array) Allows you to expand responses by including related object information in a single call. Enum: "subscription", "order" - `filter[]` (array) A case-insensitive filter on the list. Supported filterable fields: - id - updateddate - subscriptionversionamendmentid - orderid - {indexedcustomfield}: Use the format like customField__c to filter on custom fields. - `fields[]` (array) A case-insensitive query parameter that allows you to specify which fields are returned in the response. Example: "id,createddate" - `includeNullFields` (boolean) Specifies whether to include fields with the null value in the response. - If set to true, all fields will be returned in the response, including those with the null value. - If set to false, only fields with non-null values will be returned. ## Response 200 fields (application/json): - `nextPage` (string,null) A string that can be used as the cursor value to retrieve the next page of the response if it exists; otherwise absent. - `data` (array) - `data.id` (string) The unique identifier of the order action. - `data.createdById` (string) The unique identifier of the user who created the order action. - `data.createdDate` (string) The time that the order action gets created in the system, in the YYYY-MM-DD HH:MM:SS format. - `data.updatedById` (string) The unique identifier of the user who last updated the order action. - `data.updatedDate` (string) The date and time when the order action was last updated. - `data.contractEffectiveDate` (string) Effective contract date for this subscription, as yyyy-mm-dd. - `data.customerAcceptanceDate` (string) The date on which the services or products within a subscription have been accepted by the customer, as yyyy-mm-dd. - `data.type` (string) Type of the order action. Note: The change plan type of order action is supported for the Order to Revenue feature. However, it is currently not supported for the Billing - Revenue Integration feature. When Billing - Revenue Integration is enabled, the change plan type of order action will no longer be applicable in Zuora Billing. Enum: "CreateSubscription", "TermsAndConditions", "AddProduct", "UpdateProduct", "RemoveProduct", "RenewSubscription", "CancelSubscription", "OwnerTransfer", "Suspend", "Resume", "ChangePlan" - `data.sequence` (integer) The sequence of the order actions processed in the order. - `data.subscriptionVersionAmendmentId` (string) The unique identifier of the amendment that changes the version of the subscription. - `data.orderId` (string) The unique identifier of the order that the order action belongs to. - `data.subscriptionId` (string) The unique identifier of the subscription associated with the order action. - `data.subscriptionNumber` (string) The number of the subscription associated with the order action. - `data.serviceActivationDate` (string) The date on which the services or products within a subscription have been activated and access has been provided to the customer, as yyyy-mm-dd. - `data.autoRenew` (boolean) If true, the subscription automatically renews at the end of the term. - `data.renewSetting` (string) Specifies whether a termed subscription will remain termed or change to evergreen when it is renewed. Enum: "RENEW_WITH_SPECIFIC_TERM", "RENEW_TO_EVERGREEN" - `data.renewalTerm` (integer) The length of the period for the subscription renewal term. - `data.renewalTermPeriodType` (string) The period type for the subscription renewal term. This field is used with the renewalTerm field to specify the subscription renewal term. Enum: "Month", "Year", "Day", "Week" - `data.termStartDate` (string) The date on which the subscription term begins, as yyyy-mm-dd. If this is a renewal subscription, this date is different from the subscription start date. - `data.termType` (string) The type of the subscription term. Enum: "TERMED", "EVERGREEN" - `data.currentTerm` (integer) The length of the period for the current subscription term. - `data.currentTermPeriodType` (string) The period type for the current subscription term. Enum: "Month", "Year", "Day", "Week" - `data.suspendDate` (string) The date when subscription suspension takes effect, in the yyyy-mm-dd format. - `data.resumeDate` (string) The resume date when the resumption takes effect. - `data.cancellationEffectiveDate` (string) Date when the cancellation takes effect, in the yyyy-mm-dd format. Used only if cancellationPolicy is SpecificDate. It should not be earlier than the subscription contract-effective date, later than the subscription term-end date, or within a period for which the customer has been invoiced. - `data.cancellationPolicy` (string) Cancellation method. Enum: "EndOfCurrentTerm", "EndOfLastInvoicePeriod", "SpecificDate" - `data.paymentTerm` (string) The name of the payment term associated with the subscription. For example, Net 30. The payment term determines the due dates of invoices. Note: - If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body and the value of this field is null in the response body. - If you have the Flexible Billing Attributes feature enabled, and you do not specify this field in the request or you select Default Term from Account for this field during subscription creation, the value of this field is automatically set to null in the response body. - `data.billToContactId` (string) The ID of the bill-to contact associated with the subscription. Note: - If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body and the value of this field is null in the response body. - If you have the Flexible Billing Attributes feature enabled, and you do not specify this field in the request or you select Default Contact from Account for this field during subscription creation, the value of this field is automatically set to null in the response body. - `data.invoiceTemplateId` (string) The ID of the invoice template associated with the subscription. Note: - If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body and the value of this field is null in the response body. - If you have the Flexible Billing Attributes feature enabled, and you do not specify this field in the request or you select Default Template from Account for this field during subscription creation, the value of this field is automatically set to null in the response body. - `data.sequenceSetId` (string,null) The ID of the sequence set associated with the subscription. Note: - If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body and the value of this field is null in the response body. - If you have the Flexible Billing Attributes feature enabled, and you do not specify this field in the request or you select Default Set from Account for this field during subscription creation, the value of this field is automatically set to null in the response body. - `data.shipToContactId` (string) The ID of the ship-to contact associated with the subscription. - `data.soldToContactId` (string) The ID of the sold-to contact associated with the subscription. Note: - If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body and the value of this field is null in the response body. - If you have the Flexible Billing Attributes feature enabled, and you do not specify this field in the request or you select Default Contact from Account for this field during subscription creation, the value of this field is automatically set to null in the response body. - `data.clearingExistingPaymentTerm` (boolean) Whether to clear the existing payment term at the subscription level. This field is mutually exclusive with the paymentTerm field. Note: If you have the [Flexible Billing Attributes](https://docs.zuora.com/en/zuora-billing/bill-your-customer/leverage-advanced-capabilities/flexible-billing/flexible-billing-attributes/overview-of-flexible-billing-attributes) feature disabled, this field is unavailable in the request body and the value of this field is null in the response body. - `data.clearingExistingBillToContact` (boolean) Whether to clear the existing bill-to contact ID at the subscription level. This field is mutually exclusive with the billToContactId field. Note: If you have the [Flexible Billing Attributes](https://docs.zuora.com/en/zuora-billing/bill-your-customer/leverage-advanced-capabilities/flexible-billing/flexible-billing-attributes/overview-of-flexible-billing-attributes) feature disabled, this field is unavailable in the request body and the value of this field is null in the response body. - `data.clearingExistingInvoiceTemplate` (boolean) Whether to clear the existing invoice template ID at the subscription level. This field is mutually exclusive with the invoiceTemplateId field. Note: If you have the [Flexible Billing Attributes](https://docs.zuora.com/en/zuora-billing/bill-your-customer/leverage-advanced-capabilities/flexible-billing/flexible-billing-attributes/overview-of-flexible-billing-attributes) feature disabled, this field is unavailable in the request body and the value of this field is null in the response body. - `data.clearingExistingSequenceSet` (boolean) Whether to clear the existing sequence set ID at the subscription level. This field is mutually exclusive with the sequenceSetId field. Note: If you have the [Flexible Billing Attributes](https://docs.zuora.com/en/zuora-billing/bill-your-customer/leverage-advanced-capabilities/flexible-billing/flexible-billing-attributes/overview-of-flexible-billing-attributes) feature disabled, this field is unavailable in the request body and the value of this field is null in the response body. - `data.clearingExistingShipToContact` (boolean) Whether to clear the existing ship-to contact ID at the subscription level. This field is mutually exclusive with the shipToContactId field. Note: If you have the [Flexible Billing Attributes](https://docs.zuora.com/en/zuora-billing/bill-your-customer/leverage-advanced-capabilities/flexible-billing/flexible-billing-attributes/overview-of-flexible-billing-attributes) feature disabled, this field is unavailable in the request body and the value of this field is null in the response body. - `data.clearingExistingSoldToContact` (boolean) Whether to clear the existing sold-to contact ID at the subscription level. This field is mutually exclusive with the soldToContactId field. Note: If you have the [Flexible Billing Attributes](https://docs.zuora.com/en/zuora-billing/bill-your-customer/leverage-advanced-capabilities/flexible-billing/flexible-billing-attributes/overview-of-flexible-billing-attributes) feature disabled, this field is unavailable in the request body and the value of this field is null in the response body. - `data.communicationProfileId` (string,null) The ID of the communication profile associated with the subscription. Note: This field is available in the request body only if you have the Flexible Billing Attributes feature turned on. The value is null in the response body without this feature turned on. - `data.clearingExistingCommunicationProfile` (boolean) Whether to clear the existing communication profile at the subscription level. This field is mutually exclusive with the communicationProfileId field. - `data.subType` (string) The sub type for the change plan order action. If this field was not set by user, the field is automatically generated by the system according to the following rules: When the old and new rate plans are within the same Grading catalog group: * If the grade of new plan is greater than that of the old plan, this is an "Upgrade". * If the grade of new plan is less than that of the old plan, this is a "Downgrade". * If the grade of new plan equals that of the old plan, this is a "Crossgrade". When the old and new rate plans are not in the same Grading catalog group, or either has no group, this is "PlanChanged". Enum: "Upgrade", "Downgrade", "Crossgrade", "PlanChanged" - `data.effectivePolicy` (string) The default value for the effectivePolicy field is as follows: * If the rate plan change (from old to new) is an upgrade, the effective policy is EffectiveImmediately by default. * If the rate plan change (from old to new) is a downgrade, the effective policy is EffectiveEndOfBillingPeriod by default. * Otherwise, the effective policy is SpecificDate by default. Notes: * When setting this field to EffectiveEndOfBillingPeriod, you cannot set the billing trigger dates for the subscription as the system will automatically set the trigger dates to the end of billing period. * When setting this field to SpecificDate, you must also set the contractEffectiveDate field. Enum: "EffectiveImmediately", "EffectiveEndOfBillingPeriod", "SpecificDate" - `data.subscription` (object) - `data.subscription.id` (string) The unique identifier of the subscription. - `data.subscription.createdById` (string) The unique identifier of the user who created the subscription. - `data.subscription.createdDate` (string) The date and time when the subscription was created in the Zuora system, in the yyyy-mm-dd hh:mm:ss format. - `data.subscription.updatedById` (string) The unique identifier of the user who last updated the subscription. - `data.subscription.updatedDate` (string) The date and time when the subscription was last updated, in the yyyy-mm-dd hh:mm:ss format. - `data.subscription.accountId` (string) The ID of the account associated with this subscription. - `data.subscription.autoRenew` (boolean) If true, the subscription automatically renews at the end of the term. - `data.subscription.cancelledDate` (string) The date on which the subscription was canceled. - `data.subscription.contractAcceptanceDate` (string) The date when the customer accepts the contract, in the yyyy-mm-dd format. If this field is not set: - If the serviceActivationDate field is not set, the value of this field is set to be the contract effective date. - If the serviceActivationDate field is set, the value of this field is set to be the service activation date. The billing trigger dates must follow this rule: contractEffectiveDate <= serviceActivationDate <= contractAcceptanceDate - `data.subscription.contractEffectiveDate` (string) The date when the subscription is activated, in the yyyy-mm-dd format. You must specify a Service Activation date if the Customer Acceptance date is set. If the Customer Acceptance date is not set, the value of the serviceActivationDate field defaults to be the Contract Effective Date. The billing trigger dates must follow this rule: contractEffectiveDate <= serviceActivationDate <= contractAcceptanceDate - `data.subscription.creatorAccountId` (string) The ID of the account that created the subscription. This field is automatically populated with the ID of the account that creates the subscription. Note: This field is not available for single version subscriptions. - `data.subscription.creatorInvoiceOwnerId` (string) The account ID that owns the invoices associated with the subscription or the amended subscription. Note: This field is not available for single version subscriptions. - `data.subscription.initialTerm` (integer) The length of the period for the initial subscription term. - `data.subscription.initialTermPeriodType` (string) The period type for the first subscription term. Enum: "Month", "Year", "Day", "Week" - `data.subscription.invoiceOwnerId` (string) The account ID that owns the invoices associated with the subscription. - `data.subscription.isInvoiceSeparate` (boolean) Determines if the subscription is invoiced separately. If true, then all charges for this subscription are collected into the subscription's own invoice. - `data.subscription.isSingleVersioned` (boolean) If true, the subscription is a single version subscription. - `data.subscription.name` (string) The name of the subscription. - `data.subscription.notes` (string) Additional information about the subscription. - `data.subscription.originalCreatedDate` (string) The date when the subscription was originally created. This value is the same as the createdDate value until the subscription is amended. - `data.subscription.originalId` (string) The original rate plan charge ID. Only available for update subscription. Note: This field is not available for single version subscriptions. - `data.subscription.previousSubscriptionId` (string) The ID of the previous subscription. This field is only available if the subscription is a renewal subscription. Note: This field is not available for single version subscriptions. - `data.subscription.renewalSetting` (string) Specifies whether a termed subscription will remain TERMED or change to EVERGREEN when it is renewed. Enum: "RENEW_WITH_SPECIFIC_TERM", "RENEW_TO_EVERGREEN" - `data.subscription.renewalTermPeriodType` (string) The period type for the subscription renewal term. Enum: "Month", "Year", "Day", "Week" - `data.subscription.revision` (string) An auto-generated decimal value uniquely tagged with a subscription. The value always contains one decimal place, for example, the revision of a new subscription is 1.0. If a further version of the subscription is created, the revision value will be increased by 1. Also, the revision value is always incremental regardless of deletion of subscription versions. - `data.subscription.serviceActivationDate` (string) The date on which the services or products within a subscription have been activated and access has been provided to the customer, in the yyyy-mm-dd format. - `data.subscription.status` (string) Subscription status. Enum: "Draft", "Pending Activation", "Pending Acceptance", "Active", "Cancelled", "Suspended" - `data.subscription.isLatestVersion` (boolean) If true, the current subscription object is the latest version. Note: This field is not available for single version subscriptions. - `data.subscription.subscriptionEndDate` (string) The date when the subscription term ends, where the subscription ends at midnight the day before. For example, if the subscriptionEndDate is 12/31/2016, the subscriptions ends at midnight (00:00:00 hours) on 12/30/2016. This date is the same as the term end date or the cancelation date, as appropriate. - `data.subscription.subscriptionStartDate` (string) Date the subscription becomes effective. - `data.subscription.subscriptionVersionAmendmentId` (string) The ID of the amendment made to this subscription version. Note: This field is not available for single version subscriptions. - `data.subscription.termEndDate` (string) Date the subscription term ends. If the subscription is evergreen, this is null or is the cancellation date (if one has been set). - `data.subscription.termStartDate` (string) Date the subscription term begins. If this is a renewal subscription, this date is different from the subscription start date. - `data.subscription.version` (integer) This is the subscription version automatically generated by Zuora Billing. Each order or amendment creates a new version of the subscription, which incorporates the changes made in the order or amendment. - `data.subscription.cMRR` (number) Monthly recurring revenue of the subscription. - `data.subscription.billToContactSnapshotId` (string) The ID of the bill-to contact snapshot. - `data.subscription.billToContactId` (string) The ID of the bill-to contact for the subscription. - `data.subscription.sequenceSetId` (string,null) The ID of the sequence set associated with the subscription. Note: - If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body and the value of this field is null in the response body. - If you have the Flexible Billing Attributes feature enabled, and you do not specify this field in the request or you select Default Set from Account for this field during subscription creation, the value of this field is automatically set to null in the response body. - `data.subscription.shipToContactId` (string) The ID of the ship-to contact for the subscription. - `data.subscription.shipToContactSnapshotId` (string) The ID of the ship-to contact snapshot. - `data.subscription.soldToContactId` (string) The ID of the sold-to contact for the subscription. - `data.subscription.soldToContactSnapshotId` (string) The ID of the sold-to contact snapshot. - `data.subscription.externallyManagedBy` (string) An enum field on the Subscription object to indicate the name of a third-party store. This field is used to represent subscriptions created through third-party stores. Enum: "Amazon", "Apple", "Google", "Roku" - `data.subscription.lastBookingDate` (string) The last booking date of the subscription object. This field is writable only when the subscription is newly created as a first version subscription. You can override the date value when creating a subscription through the Subscribe and Amend API or the subscription creation UI (non-Orders). Otherwise, the default value today is set per the user's timezone. The value of this field is as follows: * For a new subscription created by the [Subscribe and Amend APIs](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Orders_Harmonization/Orders_Migration_Guidance#Subscribe_and_Amend_APIs_to_Migrate), this field has the value of the subscription creation date. * For a subscription changed by an amendment, this field has the value of the amendment booking date. * For a subscription created or changed by an order, this field has the value of the order date. - `data.subscription.invoiceScheduleId` (string) The ID of the invoice schedule associated with the subscription. If multiple invoice schedules are created for different terms of a subscription, this field stores the latest invoice schedule. Note: This field is available only if you have the Billing Schedule feature enabled. - `data.subscription.cancelReason` (string) The reason for a subscription cancellation copied from the changeReason field of a Cancel Subscription order action. This field contains valid value only if a subscription is cancelled through the Orders UI or API. Otherwise, the value for this field will always be null. - `data.subscription.prepayment` (boolean) Whether the subscription is prepaid. - `data.subscription.currency` (string) The currency of the subscription. Note: This field is available only if you have the Multiple Currencies feature enabled. - `data.subscription.orderId` (string) The ID of the order associated with the subscription. Note: This field is available only for orders that exist after the end of June 2023. - `data.subscription.rampId` (string) The ID of the ramp object associated with the subscription. Note: This field is available only if you have the Ramp feature enabled. - `data.subscription.paymentTerm` (string) Name of the payment term associated with the account. For example, "Net 30". The payment term determines the due dates of invoices. - `data.subscription.quoteNumber__QT` (string) The unique identifier of the Quote. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `data.subscription.quoteType__QT` (string) The Quote type that represents the subscription lifecycle stage such as New, Amendment, Renew or Cancel. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `data.subscription.quoteBusinessType__QT` (string) The specific identifier for the type of business transaction the Quote represents such as New, Upsell, Downsell, Renewal or Churn. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `data.subscription.opportunityName__QT` (string) The unique identifier of the Opportunity. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `data.subscription.opportunityCloseDate__QT` (string) - `data.subscription.cpqBundleJsonId__QT` (string) The Bundle product structures from Zuora Quotes if you utilize Bundling in Salesforce. Do not change the value in this field. - `data.subscription.account` (object) The subscription owner account associated with the subscription. - `data.subscription.invoiceOwner` (object) The invoice owner account associated with the subscription. - `data.subscription.billToContact` (object) The bill-to contact who pays the billing documents for this subscription. - `data.subscription.invoiceItems` (array) The invoice items associated with the subscription. - `data.subscription.ratePlans` (array) The rate plans associated with the subscription. - `data.order` (object) - `data.order.id` (string) The unique identifier of the order. - `data.order.createdById` (string) The unique identifier of the user who created the order. - `data.order.createdDate` (string) The time that the order gets created in the system, in the YYYY-MM-DD HH:MM:SS format. - `data.order.updatedById` (string) The unique identifier of the user who last updated the order. - `data.order.updatedDate` (string) The date and time when the order was last updated. - `data.order.description` (string) The description of the order. - `data.order.orderDate` (string) The date when the order is signed. All the order actions under this order will use this order date as the contract effective date if no additinal contractEffectiveDate is provided. - `data.order.orderNumber` (string) The unique identifier of the order. - `data.order.accountId` (string) The unique identifier of the customer account associated with the order. - `data.order.status` (string) The status of the order. If the order contains any Pending Activation or Pending Acceptance subscription, the order status will be Pending; If the order is in draft status, the order status will be Draft; otherwise the order status is Completed. The available order statuses are as follow: - Draft: The order is in draft status. - Pending: The order is in pending status. - Completed: The order is in completed status. - Cancelled: The draft or scheduled order is cancelled. - Scheduled: The order is in scheduled status and it is only valid if the Scheduled Orders feature is enabled. - Executing: The scheduled order is executed by a scheduler and it is only valid if the Scheduled Orders feature is enabled. - Failed: The scheduled order has failed. Note: To manage and access the Scheduled Orders feature from the self-service interface, see Enable billing features by yourself. Enum: "Draft", "Pending", "Completed", "Cancelled", "Scheduled", "Executing", "Failed" - `data.order.state` (string) The state of the bill-to address. The value is a valid subregion (state or province) name or code. For more information, see View subregions of a specific country or region. - `data.order.createdByMigration` (boolean) Indicates whether the order is created by migration. - `data.order.category` (string) - `data.order.invoiceScheduleId` (string) The unique identifier of the invoice schedule associated with the order. - `data.order.scheduledDate` (string) The date for the order scheduled. - `data.order.scheduledDatePolicy` (string) Date policy of the scheduled order. Enum: "SpecificDate" - `data.order.errorCode` (string) The error code of the error response. - `data.order.errorMessage` (string) The error message of the error response. - `data.order.response` (string) - `data.order.account` (object) - `data.order.account.id` (string) The unique identifier of the account. - `data.order.account.createdById` (string) The unique identifier of the user who created the account. - `data.order.account.createdDate` (string) The date and time when the account was created. - `data.order.account.updatedById` (string) The unique identifier of the user who last updated the account. - `data.order.account.updatedDate` (string) The date and time when the account was last updated. - `data.order.account.accountNumber` (string) The account number that identifies the account. - `data.order.account.additionalEmailAddresses` (string) An additional email address to receive email notifications. - `data.order.account.allowInvoiceEdit` (boolean) Indicates whether associated invoices can be edited. - `data.order.account.autoPay` (boolean) Indicates whether future payments are automatically collected when they are due during a payment run. - `data.order.account.balance` (number) The customer's total invoice balance minus credit balance. - `data.order.account.batch` (string) The alias name given to a batch. A string of 50 characters or less. - `data.order.account.bcdSettingOption` (string) The billing cycle day setting option for the account. Enum: "ManualSet", "AutoSet" - `data.order.account.billCycleDay` (integer) Billing cycle day (BCD), the day of the month when a bill run generates invoices for the account. - `data.order.account.billToId` (string) The unique identifier of the bill-to contact associated with the account. - `data.order.account.communicationProfileId` (string) The unique identifier of the communication profile that Zuora uses when sending notifications to the account's contacts. - `data.order.account.creditBalance` (number) The current credit balance on the account. - `data.order.account.crmId` (string) External identifier of the account in a CRM system. - `data.order.account.currency` (string) A currency defined in the web-based UI administrative settings. - `data.order.account.customerServiceRepName` (string) Name of the account's customer service representative, if applicable. - `data.order.account.defaultPaymentMethodId` (string) ID of the default payment method for the account. - `data.order.account.eInvoiceProfileId` (string) ID of the e-invoice profile for this account. Note: This field is available only if you have the E-Invoicing feature in Early Adopter phase enabled. - `data.order.account.invoiceDeliveryPrefsEmail` (boolean) Indicates whether the customer wants to receive invoices through email. - `data.order.account.invoiceDeliveryPrefsPrint` (boolean) Whether the customer wants to receive printed invoices, such as through postal mail. - `data.order.account.invoiceTemplateId` (string) Invoice template ID, configured in Billing Settings in the Zuora UI. - `data.order.account.lastInvoiceDate` (string) Date of the most recent invoice for the account; null if no invoice has ever been generated. - `data.order.account.lastMetricsUpdate` (string) The date and time when account metrics are last updated, if the account is a partner account. Note: - This field is available only if you have the Reseller Account feature enabled. - If you ever set the partnerAccount field to true for an account, the value of lastMetricsUpdate field is the time when the account metrics are last updated. - `data.order.account.name` (string) The name of the account. - `data.order.account.notes` (string) A string of up to 65,535 characters. - `data.order.account.organizationId` (string) The unique identifier of the organization to which the account belongs. - `data.order.account.parentId` (string) Identifier of the parent customer account for this Account object. The length is 32 characters. Use this field if you have Customer Hierarchy enabled. - `data.order.account.partnerAccount` (boolean) Whether the customer account is a partner, distributor, or reseller. Note: This field is available only if you have the Reseller Account feature enabled. - `data.order.account.paymentMethodCascadingConsent` (boolean) true indicates the consent from your customer to use the Cascading Payment Method feature was collected. false indicates the consent was not collected and the Cascading Payment Method feature is not enabled. - `data.order.account.purchaseOrderNumber` (string) The purchase order number provided by your customer for services, products, or both purchased. - `data.order.account.salesRepName` (string) Name of the account's sales representative, if applicable. - `data.order.account.sequenceSetId` (string,null) The ID of the billing document sequence set to assign to the customer account. The billing documents to generate for this account will adopt the prefix and starting document number configured in the sequence set. If a customer account has no assigned billing document sequence set, billing documents generated for this account adopt the prefix and starting document number from the default sequence set. - `data.order.account.shipToId` (string) The unique identifier of the ship-to contact associated with the account. - `data.order.account.soldToId` (string) The unique identifier of the sold-to contact associated with the account. - `data.order.account.status` (string) The account status. Enum: "Active", "Draft", "Canceled" - `data.order.account.taxCompanyCode` (string) Unique code that identifies a company account in Avalara. Note: This feature is in Limited Availability. If you wish to have access to the feature, submit a request at [Zuora Global Support](https://support.zuora.com). - `data.order.account.taxExemptCertificateID` (string) ID of the customer tax exemption certificate. Applicable if you use Zuora Tax or Connect tax engines. - `data.order.account.taxExemptCertificateType` (string) Type of tax exemption certificate that the customer holds. Applicable if you use Zuora Tax or Connect tax engines. - `data.order.account.taxExemptDescription` (string) Description of the tax exemption certificate that the customer holds. Applicable if you use Zuora Tax or Connect tax engines. - `data.order.account.taxExemptEffectiveDate` (string) Date when the customer tax exemption starts, in YYYY-MM-DD format. Applicable if you use Zuora Tax or Connect tax engines. - `data.order.account.taxExemptEntityUseCode` (string) A unique entity use code to apply exemptions in Avalara AvaTax. See Exempt Transactions for more details. - `data.order.account.taxExemptExpirationDate` (string) Date when the customer tax exemption expires, in YYYY-MM-DD format. Applicable if you use Zuora Tax or Connect tax engines. - `data.order.account.taxExemptIssuingJurisdiction` (string) Jurisdiction in which the customer tax exemption certificate was issued. - `data.order.account.taxExemptStatus` (string) Status of the account tax exemption. Applicable if you use Zuora Tax or Connect tax engines. Required if you use Zuora Tax. Enum: "No", "Yes", "PendingVerification" - `data.order.account.totalInvoiceBalance` (number) Total balance of all posted invoices. - `data.order.account.unappliedBalance` (number) Total unapplied balance in this currency. - `data.order.account.vATId` (string) EU Value Added Tax ID. - `data.order.account.mrr` (number) Monthly recurring revenue for the account. - `data.order.account.totalDebitMemoBalance` (number) Total balance of all posted debit memos. - `data.order.account.unappliedCreditMemoAmount` (number) The total unapplied amount of all posted credit memos in this currency. - `data.order.account.creditMemoTemplateId` (string) ID of the credit memo template that is used to generate credit memos for the account. - `data.order.account.debitMemoTemplateId` (string) ID of the debit memo template that is used to generate debit memos for the account. - `data.order.account.paymentGateway` (string) The name of the payment gateway instance. If null or left unassigned, the account will use the default gateway. - `data.order.account.paymentTerm` (string) A payment-terms indicator defined in the web-based UI administrative settings, for example, Net 30. - `data.order.account.billTo` (object) The bill-to contact on this account. - `data.order.account.shipTo` (object) The ship-to contact on the account. - `data.order.account.soldTo` (object) The sold-to contact on the account. - `data.order.account.defaultPaymentMethod` (object) The default payment method associated with the account. - `data.order.account.subscriptions` (array) The subscriptions associated with the account. - `data.order.account.payments` (array) The payments associated with the account. - `data.order.account.refunds` (array) The refunds associated with the account. - `data.order.account.creditMemos` (array) The credit memos associated with the account. - `data.order.account.debitMemos` (array) The debit memos associated with the account. - `data.order.account.invoices` (array) The invoices associated with the account. - `data.order.account.usages` (array) The usage records associated with the account. - `data.order.account.paymentMethods` (array) The payment methods associated with the account. - `data.order.orderLineItems` (array) - `data.order.orderLineItems.id` (string) The unique identifier of the order line item. - `data.order.orderLineItems.createdById` (string) The unique identifier of the user who created the order line item. - `data.order.orderLineItems.createdDate` (string) The time that the order line item gets created in the system, in the YYYY-MM-DD HH:MM:SS format. - `data.order.orderLineItems.updatedById` (string) The unique identifier of the user who last updated the order line item. - `data.order.orderLineItems.updatedDate` (string) The date and time when the order line item was last updated. - `data.order.orderLineItems.accountingCode` (string,null) The accountingCode for the Order Line Item (OLI). You can update this field only for a sales OLI and only when the sales OLI is in the Executing state (when the itemState field is set as Executing). - `data.order.orderLineItems.billTargetDate` (string) The target date for the Order Line Item (OLI) to be picked up by bill run for generating billing documents. To generate billing documents for an OLI, you must set this field and set the itemState field to SentToBilling. You can update this field for a sales or return OLI only when the OLI is in the Executing state (when the itemState field is set as Executing). - `data.order.orderLineItems.amountPerUnit` (number) The actual charged amount per unit for the Order Line Item (OLI). You can update this field only for a sales OLI and only when the sales OLI is in the Executing state (when the itemState field is set as Executing). - `data.order.orderLineItems.description` (string) The description of the Order Line Item. - `data.order.orderLineItems.amount` (number) The total amount for the Order Line Item (OLI). - `data.order.orderLineItems.amountWithoutTax` (number) The total amount for the Order Line Item (OLI) excluding tax. - `data.order.orderLineItems.itemName` (string) The name of the Order Line Item (OLI). You can update this field for a sales or return OLI only when the OLI is in the Executing state (when the itemState field is set as Executing). - `data.order.orderLineItems.itemNumber` (string) The number for the Order Line Item (OLI). You can update this field for a sales or return OLI only when the OLI is in the Executing state (when the itemState field is set as Executing). - `data.order.orderLineItems.itemState` (string) The state of the Order Line Item (OLI). See [State transitions for an order, order line item, and fulfillment](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Order_Line_Items/AB_Order_Line_Item_States_and_Order_States) for more information. To generate invoice for an OLI, you must set this field to SentToBilling and set the billTargetDate field . You can update this field for a sales or return OLI only when the OLI is in the Executing or 'Booked' or SentToBillingstate (when the itemState field is set as Executing or SentToBilling). Enum: "Executing", "Booked", "SentToBilling", "Complete", "Cancelled" - `data.order.orderLineItems.itemType` (string) The type of the Order Line Item (OLI). You can update this field only for a sales OLI and only when the sales OLI is in the Executing state (when the itemState field is set as Executing). Enum: "Product", "Fee", "Services" - `data.order.orderLineItems.listPricePerUnit` (number) The list price per unit for the Order Line Item (OLI). You can update this field only for a sales OLI and only when the sales OLI is in the Executing state (when the itemState field is set as Executing). - `data.order.orderLineItems.listPrice` (number) The extended list price for an order line item, calculated by the formula: listPrice = listPricePerUnit * quantity - `data.order.orderLineItems.orderId` (string) The ID of the order that the order line item belongs to. - `data.order.orderLineItems.productCode` (string) The product code for the Order Line Item (OLI). You can update this field only for a sales OLI and only when the sales OLI is in the Executing state (when the itemState field is set as Executing). - `data.order.orderLineItems.purchaseOrderNumber` (string) Used by customers to specify the Purchase Order Number provided by the buyer. You can update this field only for a sales OLI and only when the sales OLI is in the Executing state (when the itemState field is set as Executing). - `data.order.orderLineItems.quantity` (number) The quantity of units, such as the number of authors in a hosted wiki service. You can update this field for a sales or return OLI only when the OLI in the Executing state (when the itemState field is set as Executing). - `data.order.orderLineItems.revenueRecognitionRule` (string) The Revenue Recognition rule for the Order Line Item. - `data.order.orderLineItems.productRatePlanChargeId` (string) ID of a Product Rate Plan Charge. Only one-time charges are supported. - `data.order.orderLineItems.billToId` (string) The ID of a contact that belongs to the billing account of the order line item. Use this field to assign an existing account as the bill-to contact of an order line item. - `data.order.orderLineItems.billToSnapshotId` (string) The snapshot of the ID for an account used as the bill-to contact of an order line item. This field is used to store the original information about the account, in case the information about the account is changed after the creation of the order line item. The billToSnapshotId field is exposed while retrieving the order line item details. - `data.order.orderLineItems.shipTo` (string) The ID of a contact that belongs to the owner acount or billing account of the order line item. Use this field to assign an existing account as the ship-to contact of an order line item. - `data.order.orderLineItems.shipToSnapshotId` (string) The snapshot of the ID for an account used as the ship-to contact of an order line item. This field is used to store the original information about the account, in case the information about the account is changed after the creation of the order line item. The shipToSnapshotId field is exposed while retrieving the order line item details. - `data.order.orderLineItems.soldTo` (string) The ID of a contact that belongs to the owner acount or billing account of the order line item. Use this field to assign an existing account as the sold-to contact of an order line item. - `data.order.orderLineItems.soldToSnapshotId` (string) The snapshot of the ID for an account used as the sold-to contact of an order line item. This field is used to store the original information about the account, in case the information about the account is changed after the creation of the order line item. The soldToSnapshotId field is exposed while retrieving the order line item details. - `data.order.orderLineItems.soldToOrderContactId` (string) The ID of the sold-to contact for the order. - `data.order.orderLineItems.ownerAccountId` (string) The account ID of the owner of the order line item. - `data.order.orderLineItems.invoiceOwnerAccountId` (string) The account ID of the invoice owner of the order line item. - `data.order.orderLineItems.taxCode` (string) The tax code for the Order Line Item (OLI). You can update this field only for a sales OLI and only when the sales OLI is in the Executing state (when the itemState field is set as Executing). - `data.order.orderLineItems.taxMode` (string) The tax mode for the Order Line Item (OLI). You can update this field only for a sales OLI and only when the sales OLI is in the Executing state (when the itemState field is set as Executing). Enum: "TaxInclusive", "TaxExclusive" - `data.order.orderLineItems.transactionDate` (string) The date when the transaction occurs. - `data.order.orderLineItems.uOM` (string) Specifies the units to measure usage. You can update this field only for a sales OLI and only when the sales OLI is in the Executing state (when the itemState field is set as Executing). - `data.order.orderLineItems.relatedSubscriptionNumber` (string) This field is used to relate an order line item to an subscription. You can update this field only for a sales OLI and only when the sales OLI is in the Executing state (when the itemState field is set as Executing). - `data.order.orderLineItems.transactionEndDate` (string) The date a transaction is completed. The default value of this field is the transaction start date. Also, the value of this field should always equal or be later than the value of the transactionStartDate field. You can update this field for a sales or return OLI only when the OLI is in the Executing state (when the itemState field is set as Executing). - `data.order.orderLineItems.transactionStartDate` (string) The date a transaction starts. The default value of this field is the order date. You can update this field for a sales or return OLI only when the OLI is in the Executing state (when the itemState field is set as Executing). - `data.order.orderLineItems.excludeItemBillingFromRevenueAccounting` (boolean) Indicates whether to exclude the related invoice items, invoice item adjustments, credit memo items, and debit memo items from revenue accounting. Note: This field is only available if you have the Order to Revenue or Billing - Revenue Integration feature enabled. - `data.order.orderLineItems.excludeItemBookingFromRevenueAccounting` (boolean) Indicates whether to exclude the related rate plan charges and order line items from revenue accounting. Note: This field is only available if you have the Order to Revenue or Billing - Revenue Integration feature enabled. - `data.order.orderLineItems.originalOrderDate` (string) The date of the original sale order for a return order line item. - `data.order.orderLineItems.amendedByOrderOn` (string) The date of the amended order for a return order line item. - `data.order.orderLineItems.itemCategory` (string) The category of the Order Line Item, to indicate a product sale or return. Enum: "Sales", "Return" - `data.order.orderLineItems.originalOrderId` (string) The ID of the original sale order for a return order line item. - `data.order.orderLineItems.originalOrderLineItemId` (string) The ID of the original sale order line item for a return order line item. - `data.order.orderLineItems.originalOrderLineItemNumber` (string) The number of the original sale order line item for a return order line item. - `data.order.orderLineItems.originalOrderNumber` (string) The number of the original sale order for a return order line item. - `data.order.orderLineItems.quantityAvailableForReturn` (number) The quantity that can be returned for an order line item. - `data.order.orderLineItems.quantityFulfilled` (number) The fulfilled quantity for an order line item. - `data.order.orderLineItems.quantityPendingFulfillment` (number) The quantity to fulfill for an order line item. - `data.order.orderLineItems.requiresFulfillment` (boolean) The flag to show whether fulfillment is needed or not. It's derived from billing rule of the Order Line Item. - `data.order.orderLineItems.billingRule` (string) The billing rule of the Order Line Item. Enum: "TriggerWithoutFulfillment", "TriggerAsFulfillmentOccurs" - `data.order.orderLineItems.inlineDiscountPerUnit` (number) This field is used in accordance with the inlineDiscountType field, in the following manner: * If the inlineDiscountType field is set as Percentage, this field specifies the discount percentage for each unit of the order line item. For exmaple, if you specify 5 in this field, the discount percentage is 5%. * If the inlineDiscountType field is set as FixedAmount, this field specifies the discount amount on each unit of the order line item. For exmaple, if you specify 10 in this field, the discount amount on each unit of the order line item is 10. Once you set the inlineDiscountType, inlineDiscountPerUnit, and listPricePerUnit fields, the system will automatically generate the amountPerUnit field. You shall not set the amountPerUnit field by yourself. - `data.order.orderLineItems.inlineDiscountType` (string) This field is used to specify the inline discount type, which can be Percentage, FixedAmount, or None. The default value is Percentage. This field is used together with the inlineDiscountPerUnit field to specify inline discounts for order line items. The inline discount is applied to the list price of an order line item. Once you set the inlineDiscountType, inlineDiscountPerUnit, and listPricePerUnit fields, the system will automatically generate the amountPerUnit field. You shall not set the amountPerUnit field by yourself. Enum: "Percentage", "FixedAmount", "None" - `data.order.orderLineItems.discount` (number) This field shows the total discount amount that is applied to an order line item after the inlineDiscountType, inlineDiscountPerUnit and quantity fields are set. The inline discount is applied to the list price of an order line item. - `data.order.orderLineItems.recognizedRevenueAccountingCodeId` (string) The recognized revenue accounting code for the Order Line Item. - `data.order.orderLineItems.deferredRevenueAccountingCodeId` (string) The deferred revenue accounting code for the Order Line Item. - `data.order.orderLineItems.contractAssetAccountingCode` (string) The accounting code on the Order Line Item object for customers using [Zuora Billing - Revenue Integration](https://knowledgecenter.zuora.com/Zuora_Revenue/Zuora_Billing_-_Revenue_Integration). - `data.order.orderLineItems.contractLiabilityAccountingCode` (string) The accounting code on the Order Line Item object for customers using [Zuora Billing - Revenue Integration](https://knowledgecenter.zuora.com/Zuora_Revenue/Zuora_Billing_-_Revenue_Integration). - `data.order.orderLineItems.contractRecognizedRevenueAccountingCodeId` (string) The accounting code on the Order Line Item object for customers using [Zuora Billing - Revenue Integration](https://knowledgecenter.zuora.com/Zuora_Revenue/Zuora_Billing_-_Revenue_Integration). - `data.order.orderLineItems.unbilledReceivablesAccountingCodeId` (string) The accounting code on the Order Line Item object for customers using [Zuora Billing - Revenue Integration](https://knowledgecenter.zuora.com/Zuora_Revenue/Zuora_Billing_-_Revenue_Integration). - `data.order.orderLineItems.adjustmentRevenueAccountingCodeId` (string) The accounting code on the Order Line Item object for customers using [Zuora Billing - Revenue Integration](https://knowledgecenter.zuora.com/Zuora_Revenue/Zuora_Billing_-_Revenue_Integration). - `data.order.orderLineItems.adjustmentLiabilityAccountingCodeId` (string) The accounting code on the Order Line Item object for customers using [Zuora Billing - Revenue Integration](https://knowledgecenter.zuora.com/Zuora_Revenue/Zuora_Billing_-_Revenue_Integration). - `data.order.orderLineItems.invoiceItems` (array) The invoice item associated with the order line item. - `data.order.orderActions` (array) - `data.order.orderActions.subscription` (object) The subscription associated with this order action. Note: For draft and scheduled orders, information on the subscription, rate plan, and rate plan charges is not available nor displayed until the following conditions are met: - A scheduled order is executed and its status is changed to completed. - A draft order is activated and its status is changed to pending or completed. For example, if an order is in the scheduled or draft status, information on the subscription, rate plan, and rate plan charges is not displayed. ## Response 500 fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request. ## Response 4XX fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request.